[SDNC-5] Rebase sdnc-oam 13/2913/2
authorDan Timoney <dtimoney@att.com>
Fri, 31 Mar 2017 21:47:19 +0000 (17:47 -0400)
committerDan Timoney <dtimoney@att.com>
Fri, 31 Mar 2017 22:06:03 +0000 (18:06 -0400)
Port to OpenDaylight Boron and sync updates since 16.10

Change-Id: I9f6febe0bd3d50c3d27c775e5a41806ee3d2e6cb
Signed-off-by: Dan Timoney <dtimoney@att.com>
Former-commit-id: c7fb7db31a50d5f0005251d41f497fbd4fb2ae4b

51 files changed:
dgbuilder/createReleaseDir.sh [new file with mode: 0755]
dgbuilder/nodes/dge/dgelogic/block.html
dgbuilder/nodes/dge/dgelogic/configure.html
dgbuilder/nodes/dge/dgelogic/delete.html
dgbuilder/nodes/dge/dgelogic/exists.html
dgbuilder/nodes/dge/dgelogic/get-resource.html
dgbuilder/nodes/dge/dgelogic/is-available.html
dgbuilder/nodes/dge/dgelogic/notify.html
dgbuilder/nodes/dge/dgelogic/record.html
dgbuilder/nodes/dge/dgelogic/release.html
dgbuilder/nodes/dge/dgelogic/reserve.html
dgbuilder/nodes/dge/dgelogic/save.html
dgbuilder/nodes/dge/dgelogic/switchNode.html
dgbuilder/nodes/dge/dgelogic/update.html
dgbuilder/pom.xml [new file with mode: 0644]
dgbuilder/public/icons/bluetooth.png [deleted file]
dgbuilder/releases/sdnc1.0/flows/shared/backups/.gitignore [new file with mode: 0644]
dgbuilder/settings.js.orig [deleted file]
dgbuilder/show_status.sh [new file with mode: 0755]
dgbuilder/src/assembly/assemble_zip.xml [new file with mode: 0644]
dgbuilder/start.sh [new file with mode: 0755]
dgbuilder/stop.sh [new file with mode: 0755]
dgbuilder/svclogic/lib/.gitignore [new file with mode: 0644]
dgbuilder/svclogic/lib/antlr4-4.5.1.jar [deleted file]
dgbuilder/svclogic/lib/commons-lang3-3.1.jar [deleted file]
dgbuilder/svclogic/lib/mysql-connector-java-5.1.31.jar [deleted file]
dgbuilder/svclogic/lib/slf4j-api-1.6.1.jar [deleted file]
dgbuilder/svclogic/lib/slf4j-simple-1.7.5.jar [deleted file]
dgbuilder/svclogic/lib/sli-common.jar [deleted file]
dgbuilder/tools/formatXml.py [new file with mode: 0644]
dgbuilder/tools/format_xml.sh
dgbuilder/tools/getRpcsClassFromYang.sh
dgbuilder/tools/guava-14.0.1.jar [deleted file]
dgbuilder/tools/javax.json-api-1.0.jar [deleted file]
dgbuilder/tools/jsonTool.js
dgbuilder/tools/setClasspath
dgbuilder/tools/slf4j-api-1.7.2.jar [deleted file]
installation/admportal/pom.xml
installation/admportal/src/main/docker/Dockerfile
installation/dgbuilder/pom.xml
installation/dgbuilder/src/main/docker/Dockerfile
installation/sdnc/pom.xml
installation/sdnc/src/main/docker/Dockerfile
installation/sdnc/src/main/resources/distribution-karaf-0.4.2-Beryllium-SR2.tar.gz.REMOVED.git-id [deleted file]
installation/sdnc/src/main/resources/distribution-karaf-0.5.1-Boron-SR1.tar.gz.REMOVED.git-id [new file with mode: 0644]
installation/sdnc/src/main/scripts/installFeatures.sh
installation/sdnc/src/main/scripts/startODL.sh
installation/src/main/yaml/docker-compose.yml
installation/ubuntu/pom.xml
installation/ubuntu/src/main/docker/Dockerfile
pom.xml

diff --git a/dgbuilder/createReleaseDir.sh b/dgbuilder/createReleaseDir.sh
new file mode 100755 (executable)
index 0000000..ccfd1d9
--- /dev/null
@@ -0,0 +1,129 @@
+#!/bin/bash
+export PATH=$PATH:.
+appDir=$(pwd)
+if [ "$#" != 3 -a "$#" != 4 ]
+then
+       echo "Usage $0 releaseDir  loginId emailAddress [gitLocalRepository]"
+       echo "Note: Specify the gitLocalRepository path if you would want to be able to import flows from your local git repository"
+       exit
+fi 
+if [ ! -e "releases" ]
+then
+       mkdir releases
+fi
+releaseDir="$1"
+name="Release $releaseDir"
+loginId="$2"
+emailid="$3"
+dbHost="dbhost"
+dbPort="3306"
+dbName="sdnctl"
+dbUser="sdnctl"
+dbPassword="gamma"
+gitLocalRepository="$4"
+
+lastPort=$(find "releases/" -name "customSettings.js" |xargs grep uiPort|cut -d: -f2|sed -e s/,//|sort|tail -1)
+echo $lastPort|grep uiPort >/dev/null 2>&1
+if [ "$?" == "0" ]
+then
+lastPort=$(find "releases/" -name "customSettings.js" |xargs grep uiPort|cut -d: -f3|sed -e s/,//|sort|tail -1)
+fi
+#echo $lastPort
+if [ "${lastPort}" == "" ]
+then
+       lastPort="3099"
+fi
+let nextPort=$(expr $lastPort+1)
+#echo $nextPort
+if [ ! -e "releases/$releaseDir" ]
+then
+mkdir releases/$releaseDir
+cd releases/$releaseDir
+mkdir flows
+mkdir flows/shared
+mkdir flows/shared/backups
+mkdir html
+mkdir xml
+mkdir lib
+mkdir lib/flows
+mkdir logs
+mkdir conf
+mkdir codecloud
+customSettingsFile="customSettings.js"
+if [ ! -e "./$customSettingsFile" ]
+then
+       echo "module.exports = {" >$customSettingsFile
+       echo "          'name' : '$name'," >>$customSettingsFile
+       echo "          'emailAddress' :'$emailid'," >>$customSettingsFile
+       echo "          'uiPort' :$nextPort," >>$customSettingsFile
+       echo "          'mqttReconnectTime': 15000," >>$customSettingsFile
+       echo "          'serialReconnectTime' : 15000,"  >>$customSettingsFile
+       echo "          'debugMaxLength': 1000," >>$customSettingsFile
+       echo "          'htmlPath': 'releases/$releaseDir/html/'," >>$customSettingsFile
+       echo "          'xmlPath': 'releases/$releaseDir/xml/'," >>$customSettingsFile
+       echo "          'flowFile' : 'releases/$releaseDir/flows/flows.json'," >>$customSettingsFile
+       echo "          'sharedDir': 'releases/$releaseDir/flows/shared'," >>$customSettingsFile
+       echo "          'userDir' : 'releases/$releaseDir'," >>$customSettingsFile
+       echo "          'httpAuth': {user:'$loginId',pass:'cc03e747a6afbbcbf8be7668acfebee5'}," >>$customSettingsFile
+       echo "          'dbHost': '$dbHost'," >>$customSettingsFile
+       echo "          'dbPort': '$dbPort'," >>$customSettingsFile
+       echo "          'dbName': '$dbName'," >>$customSettingsFile
+       echo "          'dbUser': '$dbUser'," >>$customSettingsFile
+       echo "          'dbPassword': '$dbPassword'," >>$customSettingsFile
+       echo "          'gitLocalRepository': '$gitLocalRepository'" >>$customSettingsFile
+       echo "          }" >>$customSettingsFile
+fi
+       #echo "Created custom settings  file $customSettingsFile"
+       echo "Done ....."
+else
+       echo "ERROR:customSettings file $customSettingsFile already exists for $releaseDir"     
+       exit
+fi
+#echo "Content of custom settings file"
+#echo "============================================================================"
+#      cat $customSettingsFile
+#echo "============================================================================"
+svclogicPropFile="./conf/svclogic.properties"
+if [ ! -d "${appDir}/yangFiles" ]
+then
+       mkdir -p "${appDir}/yangFiles" 
+fi
+if [ ! -d "${appDir}/generatedJS" ]
+then
+       mkdir -p "${appDir}/generatedJS" 
+fi
+
+if [ ! -e "./$svclogicPropFile" ]
+then
+       echo "org.openecomp.sdnc.sli.dbtype=jdbc" >$svclogicPropFile
+       echo "org.openecomp.sdnc.sli.jdbc.url=jdbc:mysql://dbhost:3306/sdnctl" >>$svclogicPropFile
+       echo "org.openecomp.sdnc.sli.jdbc.database=sdnctl" >>$svclogicPropFile
+       echo "org.openecomp.sdnc.sli.jdbc.user=sdnctl" >>$svclogicPropFile
+       echo "org.openecomp.sdnc.sli.jdbc.password=gamma" >>$svclogicPropFile
+fi
+if [ ! -e "${appDir}/flowShareUsers.js" ]
+then
+       echo "module.exports = {\"flowShareUsers\":" >${appDir}/flowShareUsers.js
+        echo " [" >>${appDir}/flowShareUsers.js
+        echo " ]" >>${appDir}/flowShareUsers.js
+        echo "}" >>${appDir}/flowShareUsers.js
+fi
+grep "$releaseDir" ${appDir}/flowShareUsers.js >/dev/null 2>&1
+if [ "$?" != "0" ]
+then
+       num_of_lines=$(cat ${appDir}/flowShareUsers.js|wc -l)
+       if [ $num_of_lines -gt 4 ]
+       then
+               content=$(head -n -2 ${appDir}/flowShareUsers.js)
+               echo "${content}," > ${appDir}/flowShareUsers.js
+       else
+               content=$(head -n -2 ${appDir}/flowShareUsers.js)
+               echo "$content" > ${appDir}/flowShareUsers.js
+       fi
+       echo "  {" >> ${appDir}/flowShareUsers.js
+       echo "          \"name\" : \"$name\"," >> ${appDir}/flowShareUsers.js
+       echo "          \"rootDir\" : \"$releaseDir\"" >> ${appDir}/flowShareUsers.js
+       echo "  }" >> ${appDir}/flowShareUsers.js
+       echo "  ]" >> ${appDir}/flowShareUsers.js
+       echo "}" >> ${appDir}/flowShareUsers.js
+fi
index 29c85ac..9dc116e 100644 (file)
@@ -75,7 +75,7 @@
 <div class="source">
 <pre>&lt;block&gt;
   &lt;record plugin=&quot;org.openecomp.sdnc.sli.recording.FileRecorder&quot;&gt;
-    &lt;parameter name=&quot;file&quot; value=&quot;/tmp/gamma_r1.log&quot; /&gt;
+    &lt;parameter name=&quot;file&quot; value=&quot;/tmp/sample_r1.log&quot; /&gt;
     &lt;parameter name=&quot;field1&quot; value=&quot;__TIMESTAMP__&quot;/&gt;
     &lt;parameter name=&quot;field2&quot; value=&quot;RESERVED&quot;/&gt;
     &lt;parameter name=&quot;field3&quot; value=&quot;$asePort.uni_circuit_id&quot;/&gt;
index f1afc8d..232d22e 100644 (file)
@@ -99,7 +99,7 @@
   &lt;outcome value=&quot;success&quot;&gt;
     &lt;block&gt;
       &lt;record plugin=&quot;org.openecomp.sdnc.sli.recording.FileRecorder&quot;&gt;
-        &lt;parameter name=&quot;file&quot; value=&quot;/tmp/gamma_r1.log&quot; /&gt;
+        &lt;parameter name=&quot;file&quot; value=&quot;/tmp/sampler1.log&quot; /&gt;
         &lt;parameter name=&quot;field1&quot; value=&quot;__TIMESTAMP__&quot;/&gt;
         &lt;parameter name=&quot;field2&quot; value=&quot;ACTIVE&quot;/&gt;
         &lt;parameter name=&quot;field3&quot; value=&quot;$uni-circuit-id&quot;/&gt;
index 4a011e6..0fbb002 100644 (file)
@@ -71,7 +71,7 @@
 <div class="section">
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
-<pre>&lt;delete plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+<pre>&lt;delete plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
         resource=&quot;ase-port&quot;
         key=&quot;uni_circuit_id == $uni-circuit-id&quot;&gt;
   &lt;outcome value=&quot;true&quot;&gt;
index 652495e..0ccc43a 100644 (file)
@@ -71,7 +71,7 @@
 <div class="section">
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
-<pre>&lt;exists plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+<pre>&lt;exists plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
         resource=&quot;ase-port&quot;
         key=&quot;uni_circuit_id == $uni-circuit-id&quot;&gt;
   &lt;outcome value=&quot;true&quot;&gt;
index 4e1b1a9..ecd5819 100644 (file)
@@ -74,7 +74,7 @@
 <div class="section">
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
-<pre>&lt;get-resource plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+<pre>&lt;get-resource plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
               resource=&quot;ase-port&quot;
               key=&quot;uni_circuit_id == $uni-circuit-id&quot;&gt;
   &lt;outcome value=&quot;success&quot;&gt;
index 4bc2236..dc27e04 100644 (file)
@@ -71,7 +71,7 @@
 <div class="section">
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
-<pre>&lt;is-available plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+<pre>&lt;is-available plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
               resource=&quot;ase-port&quot;
               key=&quot;resource-emt-clli == $edge-device-clli and speed &gt;= $uni-cir-value&quot;&gt;
   &lt;outcome value=&quot;true&quot;&gt;
index 7882048..157a133 100644 (file)
@@ -71,7 +71,7 @@
 <div class="section">
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
-<pre>&lt;notify plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+<pre>&lt;notify plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
             resource=&quot;network-connection&quot; action=&quot;DELETE&quot; &gt;
   &lt;parameter name=&quot;message&quot; value=&quot;Hello, world!&quot; /&gt;
   &lt;outcome value=&quot;success&quot;&gt;
index 654b88d..310ebac 100644 (file)
@@ -75,7 +75,7 @@
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
 <pre>&lt;record plugin=&quot;org.openecomp.sdnc.sli.recording.FileRecorder&quot;&gt;
-  &lt;parameter name=&quot;file&quot; value=&quot;/tmp/gamma_r1.log&quot; /&gt;
+  &lt;parameter name=&quot;file&quot; value=&quot;/tmp/sample_r1.log&quot; /&gt;
   &lt;parameter name=&quot;field1&quot; value=&quot;__TIMESTAMP__&quot;/&gt;
   &lt;parameter name=&quot;field2&quot; value=&quot;ACTIVE&quot;/&gt;
   &lt;parameter name=&quot;field3&quot; value=&quot;$uni-circuit-id&quot;/&gt;
index 39c8839..c68a2f7 100644 (file)
@@ -74,7 +74,7 @@
 <div class="section">
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
-<pre>&lt;release plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+<pre>&lt;release plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
          resource=&quot;ase-port&quot;
          key=&quot;uni_circuit_id == $uni-circuit-id&quot;&gt;
   &lt;outcome value=&quot;success&quot;&gt;
index c2e4a10..a6a799a 100644 (file)
@@ -74,7 +74,7 @@
 <div class="section">
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
-<pre>&lt;reserve plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+<pre>&lt;reserve plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
          resource=&quot;ase-port&quot;
          key=&quot;resource-emt-clli == $edge-device-clli and speed &gt;= $uni-cir-value&quot;
          select=&quot;min(speed)&quot;&gt;
index 56bfa49..923698a 100644 (file)
@@ -77,7 +77,7 @@
 <div class="section">
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
-<pre>&lt;save plugin=&quot;`$gamma-resource-plugin`&quot; resource=&quot;resourceName&quot;
+<pre>&lt;save plugin=&quot;`$resource-plugin`&quot; resource=&quot;resourceName&quot;
         key=&quot;keyName=value&quot;
         pfx=&quot;requests.resourceName&quot;&gt;
         &lt;parameter name=&quot;parameter1&quot;
index 61c7109..ad2077b 100644 (file)
@@ -61,7 +61,7 @@
 <div class="source">
 <pre>&lt;switch test=&quot;$uni-cir-units&quot;&gt;
   &lt;outcome value=&quot;Mbps&quot;&gt;
-    &lt;reserve plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+    &lt;reserve plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
                          resource=&quot;ase-port&quot;
                          key=&quot;resource-emt-clli == $edge-device-clli and speed &gt;= $uni-cir-value&quot;
                          pfx=&quot;asePort&quot;&gt;
@@ -80,7 +80,7 @@
     &lt;/reserve&gt;
   &lt;/outcome&gt;
   &lt;outcome value=&quot;Gbps&quot;&gt;
-    &lt;reserve plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+    &lt;reserve plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
                          resource=&quot;ase-port&quot;
                          key=&quot;resource-emt-clli == $edge-device-clli and speed &gt;= $uni-cir-value*1000&quot;
                          pfx=&quot;asePort&quot;&gt;
index b268f7a..e728a40 100644 (file)
@@ -71,7 +71,7 @@
 <div class="section">
 <h5><a name="Example"></a>Example</h5>
 <div class="source">
-<pre>&lt;update plugin=&quot;org.openecomp.sdnc.sli.resource.gamma.GammaResource&quot;
+<pre>&lt;update plugin=&quot;org.openecomp.sdnc.sli.resource.samplesvc.SampleServiceResource&quot;
             resource=&quot;network-connection&quot; action=&quot;DELETE&quot; &gt;
   &lt;parameter name=&quot;message&quot; value=&quot;Hello, world!&quot; /&gt;
   &lt;outcome value=&quot;success&quot;&gt;
diff --git a/dgbuilder/pom.xml b/dgbuilder/pom.xml
new file mode 100644 (file)
index 0000000..5eb8e72
--- /dev/null
@@ -0,0 +1,119 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+
+       <parent>
+               <groupId>org.openecomp.sdnc.oam</groupId>
+               <artifactId>sdnc-oam</artifactId>
+               <version>1.1.0-SNAPSHOT</version>
+       </parent>
+
+       <modelVersion>4.0.0</modelVersion>
+       <packaging>pom</packaging>
+       <groupId>org.openecomp.sdnc.oam</groupId>
+       <artifactId>dgbuilder</artifactId>
+
+       <version>1.1.0-SNAPSHOT</version>
+
+       <name>Directed Graph Builder</name>
+       <description>Directed Graph Builder</description>
+
+       <properties>
+               <application.name>dgbuilder</application.name>
+               <skip.SWM>true</skip.SWM>
+               <adm.base>/opt/app/dgbuilder</adm.base>
+               <maven.build.timestamp.format>yyMMdd-HHmmss</maven.build.timestamp.format>
+               <build.number>${maven.build.timestamp}</build.number>
+               <SWM_VERSION>${project.version}-${build.number}</SWM_VERSION>
+       </properties>
+
+       <dependencies>
+               <dependency>
+                       <groupId>org.openecomp.sdnc.core</groupId>
+                       <artifactId>sli-common</artifactId>
+                       <version>${sdnctl.sli.version}</version>
+               </dependency>
+               <dependency>
+                       <groupId>mysql</groupId>
+                       <artifactId>mysql-connector-java</artifactId>
+                       <version>5.1.31</version>
+                       <type>jar</type>
+               </dependency>
+               <dependency>
+                       <groupId>org.antlr</groupId>
+                       <artifactId>antlr4</artifactId>
+                       <version>${antlr.version}</version>
+                       <type>jar</type>
+                       <scope>compile</scope>
+               </dependency>
+               <dependency>
+                       <groupId>org.slf4j</groupId>
+                       <artifactId>slf4j-api</artifactId>
+                       <version>${slf4j.version}</version>
+               </dependency>
+               <dependency>
+                       <groupId>org.slf4j</groupId>
+                       <artifactId>slf4j-simple</artifactId>
+                       <version>1.7.5</version>
+                       <scope>compile</scope>
+               </dependency>
+               <dependency>
+                       <groupId>org.apache.commons</groupId>
+                       <artifactId>commons-lang3</artifactId>
+                       <version>${commons.lang3.version}</version>
+               </dependency>
+       </dependencies>
+
+       <build>
+               <plugins>
+                       <plugin>
+                               <artifactId>maven-assembly-plugin</artifactId>
+                               <executions>
+                                       <execution>
+                                               <id>create-zip</id>
+                                               <goals>
+                                                       <goal>single</goal>
+                                               </goals>
+                                               <phase>package</phase>
+                                               <configuration>
+                                                       <finalName>${application.name}.${project.version}</finalName>
+                                                       <attach>true</attach>
+                                                       <descriptors>
+                                                               <descriptor>src/assembly/assemble_zip.xml</descriptor>
+                                                       </descriptors>
+                                               </configuration>
+                                       </execution>
+                               </executions>
+                       </plugin>
+                       <plugin>
+                               <groupId>org.apache.maven.plugins</groupId>
+                               <artifactId>maven-dependency-plugin</artifactId>
+                               <executions>
+                                       <execution>
+                                               <id>copy-dependencies</id>
+                                               <goals>
+                                                       <goal>copy-dependencies</goal>
+                                               </goals>
+                                               <phase>prepare-package</phase>
+                                               <configuration>
+                                                       <transitive>false</transitive>
+                                                       <outputDirectory>${project.build.directory}/svclogic/lib</outputDirectory>
+                                                       <overWriteReleases>false</overWriteReleases>
+                                                       <overWriteSnapshots>true</overWriteSnapshots>
+                                                       <overWriteIfNewer>true</overWriteIfNewer>
+                                                       <useRepositoryLayout>false</useRepositoryLayout>
+                                                       <addParentPoms>false</addParentPoms>
+                                                       <copyPom>false</copyPom>
+                                                       <scope>provided</scope>
+                                               </configuration>
+                                       </execution>
+                               </executions>
+                       </plugin>
+               </plugins>
+       </build>
+
+       <organization>
+               <name>AT&amp;T</name>
+       </organization>
+</project>
+
diff --git a/dgbuilder/public/icons/bluetooth.png b/dgbuilder/public/icons/bluetooth.png
deleted file mode 100644 (file)
index 1967b06..0000000
Binary files a/dgbuilder/public/icons/bluetooth.png and /dev/null differ
diff --git a/dgbuilder/releases/sdnc1.0/flows/shared/backups/.gitignore b/dgbuilder/releases/sdnc1.0/flows/shared/backups/.gitignore
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/dgbuilder/settings.js.orig b/dgbuilder/settings.js.orig
deleted file mode 100644 (file)
index 3466b04..0000000
+++ /dev/null
@@ -1,128 +0,0 @@
-/**
- * Copyright 2013 IBM Corp.
- *
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- * http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- **/
-module.exports = {
-    // the tcp port that the Node-RED web server is listening on
-    uiPort: 1880,
-
-    // By default, the Node-RED UI accepts connections on all IPv4 interfaces.
-    // The following property can be used to listen on a specific interface. For
-    // example, the following would only allow connections from the local machine.
-    //uiHost: "127.0.0.1",
-
-    // Retry time in milliseconds for MQTT connections
-    mqttReconnectTime: 15000,
-
-    // Retry time in milliseconds for Serial port connections
-    serialReconnectTime: 15000,
-
-    // Retry time in milliseconds for TCP socket connections
-    //socketReconnectTime: 10000,
-
-    // Timeout in milliseconds for TCP server socket connections
-    //  defaults to no timeout
-    //socketTimeout: 120000,
-
-    // Maximum number of lines in debug window before pruning
-    debugMaxLength: 1000,
-
-    // The file containing the flows. If not set, it defaults to flows_<hostname>.json
-    //flowFile: 'flows.json',
-
-    // To enabled pretty-printing of the flow within the flow file, set the following
-    //  property to true:
-    //flowFilePretty: true,
-    
-    // By default, all user data is stored in the Node-RED install directory. To
-    // use a different location, the following property can be used
-    //userDir: '/home/nol/.node-red/',
-
-    // Node-RED scans the `nodes` directory in the install directory to find nodes.
-    // The following property can be used to specify an additional directory to scan.
-    //nodesDir: '/home/nol/.node-red/nodes',
-
-    // By default, the Node-RED UI is available at http://localhost:1880/
-    // The following property can be used to specifiy a different root path.
-    // If set to false, this is disabled.
-    //httpAdminRoot: '/admin',
-
-    // You can protect the user interface with a userid and password by using the following property.
-    // The password must be an md5 hash  eg.. 5f4dcc3b5aa765d61d8327deb882cf99 ('password')
-    //httpAdminAuth: {user:"user",pass:"5f4dcc3b5aa765d61d8327deb882cf99"},
-
-    // Some nodes, such as HTTP In, can be used to listen for incoming http requests.
-    // By default, these are served relative to '/'. The following property
-    // can be used to specifiy a different root path. If set to false, this is
-    // disabled.
-    //httpNodeRoot: '/nodes',
-    
-    // To password protect the node-defined HTTP endpoints, the following property
-    // can be used.
-    // The password must be an md5 hash  eg.. 5f4dcc3b5aa765d61d8327deb882cf99 ('password')
-    //httpNodeAuth: {user:"user",pass:"5f4dcc3b5aa765d61d8327deb882cf99"},
-    
-    // When httpAdminRoot is used to move the UI to a different root path, the
-    // following property can be used to identify a directory of static content
-    // that should be served at http://localhost:1880/.
-    //httpStatic: '/home/nol/node-red-dashboard/',
-
-    // To password protect the static content, the following property can be used.
-    // The password must be an md5 hash  eg.. 5f4dcc3b5aa765d61d8327deb882cf99 ('password')
-    //httpStaticAuth: {user:"user",pass:"5f4dcc3b5aa765d61d8327deb882cf99"},
-    
-    // The following property can be used in place of 'httpAdminRoot' and 'httpNodeRoot',
-    // to apply the same root to both parts.
-    //httpRoot: '/red',
-    
-    // The following property can be used in place of 'httpAdminAuth' and 'httpNodeAuth',
-    // to apply the same authentication to both parts.
-    //httpAuth: {user:"user",pass:"5f4dcc3b5aa765d61d8327deb882cf99"},
-    
-    // The following property can be used to disable the editor. The admin API
-    // is not affected by this option. To disable both the editor and the admin
-    // API, use either the httpRoot or httpAdminRoot properties
-    //disableEditor: false,
-    
-    // The following property can be used to enable HTTPS
-    // See http://nodejs.org/api/https.html#https_https_createserver_options_requestlistener
-    // for details on its contents.
-    //https: {
-    //    key: fs.readFileSync('privatekey.pem'),
-    //    cert: fs.readFileSync('certificate.pem')
-    //},
-
-    // The following property can be used to configure cross-origin resource sharing
-    // in the HTTP nodes.
-    // See https://github.com/troygoode/node-cors#configuration-options for
-    // details on its contents. The following is a basic permissive set of options:
-    //httpNodeCors: {
-    //    origin: "*",
-    //    methods: "GET,PUT,POST,DELETE"
-    //},
-    
-    // Anything in this hash is globally available to all functions.
-    // It is accessed as context.global.
-    // eg:
-    //    functionGlobalContext: { os:require('os') }
-    // can be accessed in a function block as:
-    //    context.global.os
-
-    functionGlobalContext: {
-        // os:require('os'),
-        // bonescript:require('bonescript'),
-        // arduino:require('duino')
-    }
-
-}
diff --git a/dgbuilder/show_status.sh b/dgbuilder/show_status.sh
new file mode 100755 (executable)
index 0000000..2119751
--- /dev/null
@@ -0,0 +1,54 @@
+#!/bin/bash
+tbold=$(tput setf 3)
+bold=$(tput setf 2)
+bold1=$(tput setf 2)
+offbold=$(tput rmso;tput sgr0)
+
+function pad {
+        #echo "1 is $1 2 is $2"
+        if [ "$1" == "" ]
+        then
+                $1 = "";
+        fi
+        let count=0
+        curr_len=`expr length "$1"`
+        let space_length=$2-$curr_len
+        spaces=""
+        while [ $count -lt $space_length ]
+        do
+                spaces="$spaces "
+                let count=$count+1
+        done
+        echo "$1$spaces"
+}
+       
+function isRunning {
+       echo $(curl -I "$1" 2>/dev/null|head -1|tail -1|awk '{print $2}')
+}
+dirName=$(pwd)
+options=($(ls -l $dirName/releases|grep ^d|awk '{print $NF}'|sort))
+       echo "$(pad RELEASE 15)$(pad URL 30)$(pad Status 10)"
+       echo "$(pad '----' 15)$(pad '---' 30)$(pad '------' 10)"
+       for opt in "${options[@]}" 
+       do 
+               
+               releaseDir="$opt"
+               if [ -e "./releases/${opt}/customSettings.js" ]
+               then
+                       pid=$(cat ./releases/$releaseDir/logs/process_pid 2>/dev/null)
+                       port=$(cat ./releases/$releaseDir/customSettings.js 2>/dev/null|grep uiPort|sed -e 's/[, ]//g'|cut -d: -f2)
+                       resp1=$(isRunning "http://localhost:$port")
+                       if [ "$resp1" == "401" ]
+                       then    
+                               echo "$(pad $releaseDir 15)$(pad http://localhost:$port 30)${bold}$(pad running 10)${offbold}"
+                       else
+                               processId=$(netstat -upltn 2>/dev/null|grep $port|awk '{print $NF}'|sed -e 's%/node-red%%g')
+                               if [ "$processId" == "" ]
+                               then
+                                       echo "$(pad $releaseDir 15)$(pad http://localhost:$port 30)${bold}$(pad stopped 10)${offbold}"
+                               else
+                                       echo "$(pad $releaseDir 15)$(pad http://localhost:$port 30)${bold}$(pad running 10)${offbold}"
+                               fi
+                       fi
+               fi
+       done
diff --git a/dgbuilder/src/assembly/assemble_zip.xml b/dgbuilder/src/assembly/assemble_zip.xml
new file mode 100644 (file)
index 0000000..0fbdde8
--- /dev/null
@@ -0,0 +1,109 @@
+<!--
+  ============LICENSE_START=======================================================
+  openECOMP : SDN-C
+  ================================================================================
+  Copyright (C) 2017 AT&T Intellectual Property. All rights
+                                               reserved.
+  ================================================================================
+  Licensed under the Apache License, Version 2.0 (the "License");
+  you may not use this file except in compliance with the License.
+  You may obtain a copy of the License at
+  
+       http://www.apache.org/licenses/LICENSE-2.0
+  
+  Unless required by applicable law or agreed to in writing, software
+  distributed under the License is distributed on an "AS IS" BASIS,
+  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+  See the License for the specific language governing permissions and
+  limitations under the License.
+  ============LICENSE_END=========================================================
+  -->
+
+<!-- Defines how we build the .zip file which is our distribution. -->
+
+<assembly
+       xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0 http://maven.apache.org/xsd/assembly-1.1.0.xsd">
+       <formats>
+               <format>zip</format>
+       </formats>
+
+        <includeBaseDirectory>false</includeBaseDirectory>
+
+        <fileSets>
+        <fileSet>
+            <directory>core_nodes</directory>
+            <outputDirectory>dgbuilder/core_nodes</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>dgeflows</directory>
+            <outputDirectory>dgbuilder/dgeflows</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>generatedJS</directory>
+            <outputDirectory>dgbuilder/generatedJS</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>git_scripts</directory>
+            <outputDirectory>dgbuilder/git_scripts</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>nodes</directory>
+            <outputDirectory>dgbuilder/nodes</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>public</directory>
+            <outputDirectory>dgbuilder/public</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>red</directory>
+            <outputDirectory>dgbuilder/red</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>releases</directory>
+            <outputDirectory>dgbuilder/releases</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>svclogic</directory>
+            <outputDirectory>dgbuilder/svclogic</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>test</directory>
+            <outputDirectory>dgbuilder/test</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>tools</directory>
+            <outputDirectory>dgbuilder/tools</outputDirectory>
+        </fileSet>
+        <fileSet>
+            <directory>yangFiles</directory>
+            <outputDirectory>dgbuilder/yangFiles</outputDirectory>
+        </fileSet>
+               <fileSet>
+            <directory>.</directory>
+            <outputDirectory>dgbuilder/</outputDirectory>
+                <includes>
+                       <include>*.json</include>
+                       <include>*.js</include>
+                       <include>*.md</include>
+                       <include>*.sh</include>
+                       <include>LICENSE</include>
+               </includes>
+        </fileSet>
+               <fileSet>
+                       <directory>target/svclogic/lib</directory>
+                       <outputDirectory>dgbuilder/svclogic/lib</outputDirectory>
+                       <includes>
+                               <include>sli-common*.jar</include>
+                               <include>mysql-connector*.jar</include>
+                               <include>antlr*.jar</include>
+                               <include>commons-lang*.jar</include>
+                               <include>slf4j-api*.jar</include>
+                               <include>slf4j-simple*.jar</include>
+                       </includes>
+               </fileSet>
+    </fileSets>
+
+
+</assembly>
diff --git a/dgbuilder/start.sh b/dgbuilder/start.sh
new file mode 100755 (executable)
index 0000000..38f1158
--- /dev/null
@@ -0,0 +1,74 @@
+#!/bin/bash
+releaseDir="$1"
+if [ "$#" != "1" ]
+then
+       echo "Usage: $0 releaseDirName"
+       exit
+fi
+echo "ReleaseDir:$releaseDir"
+export PROJECT_HOME=`pwd`
+tbold=$(tput setf 3)
+bold=$(tput setf 2)
+bold1=$(tput setf 2)
+offbold=$(tput rmso;tput sgr0)
+
+function pad {
+        #echo "1 is $1 2 is $2"
+        if [ "$1" == "" ]
+        then
+                $1 = "";
+        fi
+        let count=0
+        curr_len=`expr length "$1"`
+        let space_length=$2-$curr_len
+        spaces=""
+        while [ $count -lt $space_length ]
+        do
+                spaces="$spaces "
+                let count=$count+1
+        done
+        echo "$1$spaces"
+}
+       
+function isRunning {
+       echo $(curl -I "$1" 2>/dev/null|head -1|tail -1|awk '{print $2}')
+}
+
+npm install
+
+if [ -e "releases/${releaseDir}/customSettings.js" ]
+then
+       pid=$(cat releases/$releaseDir/logs/process_pid 2>/dev/null)
+       port=$(cat releases/$releaseDir/customSettings.js|grep uiPort|sed -e 's/[, ]//g'|cut -d: -f2 )
+       count=$(ps -p$pid 2>/dev/null|grep -v PID|wc -l)
+       if [ "$count" != "0" ]
+       then 
+               echo "For Release \"$releaseDir\" - http://localhost:$port"
+               echo "********ALREADY RUNNING PID:$pid *******"
+       else
+               pid_listening_on_port=$(netstat -upltn 2>/dev/null|grep -w $port|awk '{print $NF}'|cut -d'/' -f1)
+               if [ "$pid_listening_on_port" != "" ]
+               then
+                       if [ "$pid_listening_on_port" != "$pid" ]
+                       then
+                               echo "port $port is already in use by other process"
+                               ps -p $pid_listening_on_port
+                       else
+                               echo "Process is already running.";
+                       fi
+                       exit;
+               fi
+               node red.js --settings releases/${releaseDir}/customSettings.js 
+               process_pid="$!"
+               echo $process_pid  >releases/$releaseDir/logs/process_pid
+               port=$(cat releases/${releaseDir}/customSettings.js|grep uiPort|sed -e 's/[, ]//g'|cut -d: -f2)
+               echo "For Release \"$releaseDir\"  ${urlIp}:$port --- STARTED PID:$process_pid"
+               if [ "${releaseDir}" != "" ]
+               then
+                       sleep 3
+                       ./show_status.sh|grep -w ${releaseDir}
+               fi
+       fi
+else
+       echo "Directory ${releaseDir}  is not setup. Use the createReleaseDir.sh script to setup the directory."
+fi
diff --git a/dgbuilder/stop.sh b/dgbuilder/stop.sh
new file mode 100755 (executable)
index 0000000..b67babc
--- /dev/null
@@ -0,0 +1,52 @@
+#!/bin/bash
+tbold=$(tput setf 3)
+bold=$(tput setf 2)
+bold1=$(tput setf 2)
+offbold=$(tput rmso;tput sgr0)
+
+function pad {
+        #echo "1 is $1 2 is $2"
+        if [ "$1" == "" ]
+        then
+                $1 = "";
+        fi
+        let count=0
+        curr_len=`expr length "$1"`
+        let space_length=$2-$curr_len
+        spaces=""
+        while [ $count -lt $space_length ]
+        do
+                spaces="$spaces "
+                let count=$count+1
+        done
+        echo "$1$spaces"
+}
+releaseDir=""
+if [ "$#" == "1" ]
+then
+       releaseDir="$1"
+fi
+
+if [ -e "releases/${releaseDir}/customSettings.js" ]
+then
+               port=$(cat releases/${releaseDir}/customSettings.js|grep uiPort|sed -e 's/[, ]//g'|cut -d: -f2)
+       kill $(cat releases/${releaseDir}/logs/process_pid  2>/dev/null) >/dev/null 2>&1
+       if [ "$?" != "0" ]
+       then
+               #kill only if its a node-red process
+               processPid=$(netstat -upltn 2>/dev/null|grep -w $port|awk '{print $NF}'|sed -e 's%/node-red%%g')
+               kill $processPid 2>/dev/null
+               echo "http://localhost:$port ---- STOPPED"
+               ./show_status.sh|grep -w "${releaseDir}"
+       else
+               echo "http://localhost:$port ---- STOPPED"
+               ./show_status.sh|grep -w "${releaseDir}"
+       fi
+else
+       if [ "$releaseDir" != "" ]
+       then
+               echo "Release Directory ${releaseDir} not setup.";
+       else
+               echo "Usage:$0 releaseDirName"
+       fi      
+fi
diff --git a/dgbuilder/svclogic/lib/.gitignore b/dgbuilder/svclogic/lib/.gitignore
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/dgbuilder/svclogic/lib/antlr4-4.5.1.jar b/dgbuilder/svclogic/lib/antlr4-4.5.1.jar
deleted file mode 100644 (file)
index 81039db..0000000
Binary files a/dgbuilder/svclogic/lib/antlr4-4.5.1.jar and /dev/null differ
diff --git a/dgbuilder/svclogic/lib/commons-lang3-3.1.jar b/dgbuilder/svclogic/lib/commons-lang3-3.1.jar
deleted file mode 100644 (file)
index a85e539..0000000
Binary files a/dgbuilder/svclogic/lib/commons-lang3-3.1.jar and /dev/null differ
diff --git a/dgbuilder/svclogic/lib/mysql-connector-java-5.1.31.jar b/dgbuilder/svclogic/lib/mysql-connector-java-5.1.31.jar
deleted file mode 100644 (file)
index 26864e4..0000000
Binary files a/dgbuilder/svclogic/lib/mysql-connector-java-5.1.31.jar and /dev/null differ
diff --git a/dgbuilder/svclogic/lib/slf4j-api-1.6.1.jar b/dgbuilder/svclogic/lib/slf4j-api-1.6.1.jar
deleted file mode 100644 (file)
index f1f4fdd..0000000
Binary files a/dgbuilder/svclogic/lib/slf4j-api-1.6.1.jar and /dev/null differ
diff --git a/dgbuilder/svclogic/lib/slf4j-simple-1.7.5.jar b/dgbuilder/svclogic/lib/slf4j-simple-1.7.5.jar
deleted file mode 100644 (file)
index eca11dd..0000000
Binary files a/dgbuilder/svclogic/lib/slf4j-simple-1.7.5.jar and /dev/null differ
diff --git a/dgbuilder/svclogic/lib/sli-common.jar b/dgbuilder/svclogic/lib/sli-common.jar
deleted file mode 100644 (file)
index beacbe7..0000000
Binary files a/dgbuilder/svclogic/lib/sli-common.jar and /dev/null differ
diff --git a/dgbuilder/tools/formatXml.py b/dgbuilder/tools/formatXml.py
new file mode 100644 (file)
index 0000000..913456a
--- /dev/null
@@ -0,0 +1,11 @@
+import xml.dom.minidom
+import lxml.etree as etree
+import sys
+
+xml_fname=sys.argv[1]
+#xml = xml.dom.minidom.parse(xml_fname) # or xml.dom.minidom.parseString(xml_string)
+#pretty_xml_as_string = xml.toprettyxml()
+#print pretty_xml_as_string
+
+x = etree.parse(xml_fname)
+print etree.tostring(x, pretty_print = True)
index f0074e6..c66153e 100755 (executable)
@@ -8,10 +8,9 @@ if [ -z "$PROJECT_HOME" ]
 then
         export PROJECT_HOME=$(pwd)/..
 fi
-export CLASSPATH=$CLASSPATH:.
 if [ -e "$1" ]
 then
-       java FormatXml $1
+       python $PROJECT_HOME/tools/formatXml.py $1
 else
        echo "File $1 does not exist" 
 fi
index d7fc213..91d95f0 100755 (executable)
@@ -3,7 +3,7 @@ toolsDir=$PROJECT_HOME/tools
 if [ "$#" != "2" ]
 then
        echo "Usage $0 yang_file generated_jar_file"
-       echo "example $0 /home/users/sdnc/src/aic-homing/model/src/main/yang/AicHoming.yang  /home/users/sdnc/src/aic-homing/model/target/aicHoming.model-2.0.0.jar"
+       echo "example $0 /home/users/sdnc/src/sample.yang  /home/users/sdnc/target/sample.model-1.0.0.jar"
        exit
 fi
 yangFile="$1"
diff --git a/dgbuilder/tools/guava-14.0.1.jar b/dgbuilder/tools/guava-14.0.1.jar
deleted file mode 100644 (file)
index 3a3d925..0000000
Binary files a/dgbuilder/tools/guava-14.0.1.jar and /dev/null differ
diff --git a/dgbuilder/tools/javax.json-api-1.0.jar b/dgbuilder/tools/javax.json-api-1.0.jar
deleted file mode 100644 (file)
index d276c79..0000000
Binary files a/dgbuilder/tools/javax.json-api-1.0.jar and /dev/null differ
index b4ed21f..d95ae10 100644 (file)
@@ -101,267 +101,12 @@ for( j in obj){
 }
 }
 
-a=[
-'service-configuration-operation-input.service-information.service-instance-id',
-'service-configuration-operation-input.service-information.subscriber-name',
-'service-configuration-operation-input.service-information.service-type',
-'service-configuration-operation-input.svc-config-additional-data.management-ip',
-'service-configuration-operation-input.sdnc-request-header.svc-request-id',
-'service-configuration-operation-input.sdnc-request-header.svc-notification-url',
-'service-configuration-operation-input.sdnc-request-header.svc-action',
-'service-configuration-operation-input.vr-lan.routing-protocol',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-vr-lan-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].vr-designation',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-vr-lan-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-vr-lan-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-vr-lan-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-defaulted-v6-vrlan',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-vce-loopback-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-vce-wan-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-server-enabled',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-server-enabled',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].use-v4-default-pool',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-default-pool-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-default-pool-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].excluded-v4-dhcp-addresses-from-default-pool[].excluded-v4-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].excluded-v4-dhcp-addresses-from-default-pool[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].use-v6-default-pool',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-default-pool-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-default-pool-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].excluded-v6-dhcp-addresses-from-default-pool[].excluded-v6-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].excluded-v6-dhcp-addresses-from-default-pool[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-pools[].v6-dhcp-pool-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-pools[].v6-dhcp-pool-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-pools[].v6-dhcp-relay-gateway-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-pools[].v6-dhcp-relay-next-hop-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-pools[].excluded-v6-addresses[].excluded-v6-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-pools[].excluded-v6-addresses[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-dhcp-pools[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-pools[].v4-dhcp-relay-next-hop-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-pools[].v4-dhcp-pool-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-pools[].v4-dhcp-pool-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-pools[].v4-dhcp-relay-gateway-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-pools[].excluded-v4-addresses[].excluded-v4-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-pools[].excluded-v4-addresses[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-dhcp-pools[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-nat-enabled',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-nat-mapping-entries[].v4-nat-internal',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-nat-mapping-entries[].v4-nat-next-hop-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-nat-mapping-entries[].v4-nat-external',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-nat-mapping-entries[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v6-lan-public-prefixes[].request-index',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v6-lan-public-prefixes[].v6-next-hop-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v6-lan-public-prefixes[].v6-lan-public-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v6-lan-public-prefixes[].v6-lan-public-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v6-lan-public-prefixes[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v4-lan-public-prefixes[].request-index',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v4-lan-public-prefixes[].v4-lan-public-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v4-lan-public-prefixes[].v4-next-hop-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v4-lan-public-prefixes[].v4-lan-public-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].t-provided-v4-lan-public-prefixes[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-static-routes[].v6-static-route-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-static-routes[].v6-next-hop-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-static-routes[].v6-static-route-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-static-routes[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-static-routes[].v4-static-route-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-static-routes[].v4-next-hop-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-static-routes[].v4-static-route-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-static-routes[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-pat-enabled',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-pat-default-pool-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].use-v4-default-pool',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-pat-default-pool-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-pat-pools[].v4-pat-pool-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-pat-pools[].v4-pat-pool-next-hop-address',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-pat-pools[].v4-pat-pool-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-pat-pools[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-firewall-packet-filters[].v6-firewall-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-firewall-packet-filters[].v6-firewall-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-firewall-packet-filters[].allow-icmp-ping',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-firewall-packet-filters[].udp-port-list[].port-number',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-firewall-packet-filters[].udp-port-list[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-firewall-packet-filters[].tcp-port-list[].port-number',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-firewall-packet-filters[].tcp-port-list[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v6-firewall-packet-filters[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].stateful-firewall-lite-v4-enabled',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].stateful-firewall-lite-v6-enabled',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-firewall-packet-filters[].allow-icmp-ping',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-firewall-packet-filters[].udp-port-list[].port-number',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-firewall-packet-filters[].udp-port-list[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-firewall-packet-filters[].tcp-port-list[].port-number',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-firewall-packet-filters[].tcp-port-list[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-firewall-packet-filters[].v4-firewall-prefix',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-firewall-packet-filters[].v4-firewall-prefix-length',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].v4-firewall-packet-filters[].key',
-'service-configuration-operation-input.vr-lan.vr-lan-interface[].key',
-'service-configuration-operation-input.internet-evc-access-information.internet-evc-speed-value',
-'service-configuration-operation-input.internet-evc-access-information.ip-version',
-'service-configuration-operation-input.internet-evc-access-information.internet-evc-speed-units',
-'service-configuration-operation-input.l2-homing-information.preferred-aic-clli',
-'service-configuration-operation-input.l2-homing-information.evc-name',
-'service-configuration-operation-input.l2-homing-information.topology',
-'service-configuration-operation-input.internet-service-change-details.internet-evc-speed-value',
-'service-configuration-operation-input.internet-service-change-details.internet-evc-speed-units',
-'service-configuration-operation-input.internet-service-change-details.t-provided-v4-lan-public-prefixes[].request-index',
-'service-configuration-operation-input.internet-service-change-details.t-provided-v4-lan-public-prefixes[].v4-lan-public-prefix',
-'service-configuration-operation-input.internet-service-change-details.t-provided-v4-lan-public-prefixes[].v4-lan-public-prefix-length',
-'service-configuration-operation-input.internet-service-change-details.t-provided-v4-lan-public-prefixes[].key',
-'service-configuration-operation-input.internet-service-change-details.t-provided-v6-lan-public-prefixes[].request-index',
-'service-configuration-operation-input.internet-service-change-details.t-provided-v6-lan-public-prefixes[].v6-lan-public-prefix',
-'service-configuration-operation-input.internet-service-change-details.t-provided-v6-lan-public-prefixes[].v6-lan-public-prefix-length',
-'service-configuration-operation-input.internet-service-change-details.t-provided-v6-lan-public-prefixes[].key'
-];
-
-a=[
-    "service-configuration-operation-input.sdnc-request-header.svc-notification-url",
-    "service-configuration-operation-input.sdnc-request-header.svc-request-id",
-    "service-configuration-operation-input.sdnc-request-header.svc-action",
-    "service-configuration-operation-input.vpe-vpn-service.route-target",
-    "service-configuration-operation-input.vpe-vpn-service.e2e-vpn-key",
-    "service-configuration-operation-input.vpe-vpn-service.vpn-id",
-    "service-configuration-operation-input.vpe-vpn-service.vpn-vame",
-    "service-configuration-operation-input.vpe-vpn-service.spoke-routes.route-target",
-    "service-configuration-operation-input.vpe-vpn-service.spoke-routes.max-threshold",
-    "service-configuration-operation-input.vpe-vpn-service.spoke-routes.max-routes-limit",
-    "service-configuration-operation-input.vpe-vpn-service.v4-max-routes.max-routes-limit-warning",
-    "service-configuration-operation-input.vpe-vpn-service.v4-max-routes.max-routes-limit",
-    "service-configuration-operation-input.vpe-vpn-service.v6-max-routes.max-routes-limit-warning",
-    "service-configuration-operation-input.vpe-vpn-service.v6-max-routes.max-routes-limit",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.vpn-multicast-planned-region[].regions",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.vpn-multicast-planned-region[].key",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.vpn-v4-multicast-enabled",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.max-routes-limit-warning",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.max-routes-limit",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-data-mdt",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].rp-address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].c-groups[].group-address-prefix-length",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].c-groups[].c-group-address-prefix",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].c-groups[].key",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].key",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-sm-static-override",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-ssm-default-range",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-ssm-groups[].v4-pim-ssm-group-address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-ssm-groups[].v4-pim-ssm-group-address-prefix-length",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-ssm-groups[].key",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-default-mdt",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-data-mdt-wildcard-mask",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.vpn-v6-multicast-enabled",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.max-routes-limit-warning",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.max-routes-limit",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].rp-address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].c-groups[].group-address-prefix-length",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].c-groups[].c-group-address-prefix",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].c-groups[].key",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].key",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-sm-static-override",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-ssm-default-range",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-ssm-groups[].v6-pim-ssm-group-address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-ssm-groups[].v6-pim-ssm-group-address-prefix-length",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-ssm-groups[].key",
-    "service-configuration-operation-input.vpe-vpn-service.customer-id",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].router-distinguisher",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vpe-name",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-import-details[].vrf-import",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-import-details[].key",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].member",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].name",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-name",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-export-details[].vrf-export",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-export-details[].key",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].apply-group-template[].apply-group",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].apply-group-template[].key",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].key",
-    "service-configuration-operation-input.service-information.subscriber-name",
-    "service-configuration-operation-input.service-information.subscriber-global-id",
-    "service-configuration-operation-input.service-information.service-type",
-    "service-configuration-operation-input.service-information.service-instance-id",
-    "service-configuration-operation-input.request-information.notification-url",
-    "service-configuration-operation-input.request-information.order-number",
-    "service-configuration-operation-input.request-information.order-version",
-    "service-configuration-operation-input.request-information.request-action",
-    "service-configuration-operation-input.request-information.request-sub-action",
-    "service-configuration-operation-input.request-information.source",
-    "service-configuration-operation-input.request-information.request-id",
-    "service-configuration-operation-output.configuration-response-common.svc-request-id",
-    "service-configuration-operation-output.configuration-response-common.response-message",
-    "service-configuration-operation-output.configuration-response-common.ack-final-indicator",
-    "service-configuration-operation-output.configuration-response-common.response-code"
-];
+var a=[];
 var nObj={};
 for(var i=0;i<a.length;i++){
        dotToJson(a[i],'',nObj);
 }
-var a = [
-    "service-configuration-operation-input.sdnc-request-header.svc-notification-url:String",
-    "service-configuration-operation-input.sdnc-request-header.svc-request-id:String",
-    "service-configuration-operation-input.sdnc-request-header.svc-action:Enum:[Createupdatevpn]",
-    "service-configuration-operation-input.vpe-vpn-service.route-target:String",
-    "service-configuration-operation-input.vpe-vpn-service.e2e-vpn-key:String",
-    "service-configuration-operation-input.vpe-vpn-service.vpn-id:Integer",
-    "service-configuration-operation-input.vpe-vpn-service.vpn-vame:String",
-    "service-configuration-operation-input.vpe-vpn-service.spoke-routes.route-target:String",
-    "service-configuration-operation-input.vpe-vpn-service.spoke-routes.max-threshold:Short",
-    "service-configuration-operation-input.vpe-vpn-service.spoke-routes.max-routes-limit:BigInteger",
-    "service-configuration-operation-input.vpe-vpn-service.v4-max-routes.max-routes-limit-warning:Short",
-    "service-configuration-operation-input.vpe-vpn-service.v4-max-routes.max-routes-limit:BigInteger",
-    "service-configuration-operation-input.vpe-vpn-service.v6-max-routes.max-routes-limit-warning:Short",
-    "service-configuration-operation-input.vpe-vpn-service.v6-max-routes.max-routes-limit:BigInteger",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.vpn-multicast-planned-region[].regions:Enum:[EMEA, US, AP, LA, Canada]",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.vpn-multicast-planned-region[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.vpn-v4-multicast-enabled:Enum:[Y, N]",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.max-routes-limit-warning:Short",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.max-routes-limit:BigInteger",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-data-mdt:Ipv4Address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].rp-address:Ipv4Address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].c-groups[].group-address-prefix-length:Short",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].c-groups[].c-group-address-prefix:Ipv4Address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].c-groups[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-static-rp-triplet[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-sm-static-override:Enum:[Y, N]",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-ssm-default-range:Enum:[Y, N]",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-ssm-groups[].v4-pim-ssm-group-address:Ipv4Address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-ssm-groups[].v4-pim-ssm-group-address-prefix-length:Short",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-pim-ssm-groups[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-default-mdt:Ipv4Address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v4-multicast.v4-data-mdt-wildcard-mask:Ipv4Address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.vpn-v6-multicast-enabled:Enum:[Y, N]",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.max-routes-limit-warning:Short",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.max-routes-limit:BigInteger",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].rp-address:Ipv6Address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].c-groups[].group-address-prefix-length:Short",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].c-groups[].c-group-address-prefix:Ipv6Address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].c-groups[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-static-rp-triplet[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-sm-static-override:Enum:[Y, N]",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-ssm-default-range:Enum:[Y, N]",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-ssm-groups[].v6-pim-ssm-group-address:Ipv6Address",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-ssm-groups[].v6-pim-ssm-group-address-prefix-length:Short",
-    "service-configuration-operation-input.vpe-vpn-service.multicast-parameters.v6-multicast.v6-pim-ssm-groups[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.customer-id:String",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].router-distinguisher:String",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vpe-name:String",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-import-details[].vrf-import:String",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-import-details[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].member:String",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].name:String",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-name:String",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-export-details[].vrf-export:String",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].vrf-export-details[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].apply-group-template[].apply-group:String",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].apply-group-template[].key:Identifier",
-    "service-configuration-operation-input.vpe-vpn-service.vrf-details[].key:Identifier",
-    "service-configuration-operation-input.service-information.subscriber-name:String",
-    "service-configuration-operation-input.service-information.subscriber-global-id:String",
-    "service-configuration-operation-input.service-information.service-type:Enum:[NBIPVPN]",
-    "service-configuration-operation-input.service-information.service-instance-id:String",
-    "service-configuration-operation-input.request-information.notification-url:String",
-    "service-configuration-operation-input.request-information.order-number:String",
-    "service-configuration-operation-input.request-information.order-version:String",
-    "service-configuration-operation-input.request-information.request-action:Enum:[Layer3ServiceVPNRequest]",
-    "service-configuration-operation-input.request-information.request-sub-action:Enum:[ACTIVATE, COMPLETE, CANCEL, SUPP]",
-    "service-configuration-operation-input.request-information.source:String",
-    "service-configuration-operation-input.request-information.request-id:String"
-]
+
 var nObj={};
 for(var i=0;i<a.length;i++){
        var key =a[i].substring(0,a[i].indexOf(':'));
@@ -370,8 +115,5 @@ for(var i=0;i<a.length;i++){
        if(value == undefined) value ="";
        dotToJson(key,value,nObj);
 }
-//nObj={};,
-//var a1='service-configuration-operation-input[].vr-lan.vr-lan-interface[].v4-firewall-packet-filters[].v4-firewall-prefix-length';,
-       //dotToJson(a1,'',nObj);
 console.log(JSON.stringify(nObj,null,4));
 //console.log (stringToObj('abc.ebg.h',"",{}));
index 082d31a..898ef35 100755 (executable)
@@ -1,8 +1,11 @@
 toolsDir=${PROJECT_HOME}/tools
+svcLogicLib=${PROJECT_HOME}/svclogic/lib
+
 export CLASSPATH=
-export CLASSPATH=${toolsDir}/guava-14.0.1.jar:$CLASSPATH
-export CLASSPATH=${toolsDir}/javax.json-api-1.0.jar:$CLASSPATH
-export CLASSPATH=${toolsDir}/slf4j-api-1.7.2.jar:$CLASSPATH
+for i in `find ${svcLogicLib} -name "*.jar" -print`
+do
+export CLASSPATH=$CLASSPATH:$i
+done
 
 for i in `find ${toolsDir}/tmpws/jars -name "*.jar" -print`
 do
diff --git a/dgbuilder/tools/slf4j-api-1.7.2.jar b/dgbuilder/tools/slf4j-api-1.7.2.jar
deleted file mode 100644 (file)
index 1a88708..0000000
Binary files a/dgbuilder/tools/slf4j-api-1.7.2.jar and /dev/null differ
index 03ebdfd..491af96 100644 (file)
@@ -18,7 +18,7 @@
     <description>Creates admportal Docker container</description>
 
     <properties>
-        <image.name>ecomp/admportal-sdnc-image</image.name>
+        <image.name>openecomp/admportal-sdnc-image</image.name>
     </properties>
 
 
index 8facc58..4006af3 100644 (file)
@@ -1,5 +1,5 @@
 # Base ubuntu with added packages needed for open ecomp
-FROM ecomp/ubuntu-sdnc-image:${project.version}
+FROM openecomp/ubuntu-sdnc-image:${project.version}
 MAINTAINER SDN-C Team (sdnc@lists.openecomp.org)
 
 # create link for pm2
index daef986..f7a6375 100644 (file)
@@ -18,7 +18,7 @@
        <description>Creates docker container for dgbuilder</description>
 
        <properties>
-               <image.name>ecomp/dgbuilder-sdnc-image</image.name>
+               <image.name>openecomp/dgbuilder-sdnc-image</image.name>
        </properties>
 
 
@@ -51,7 +51,7 @@
                                <executions>
                                        <execution>
                                                <id>generate-images</id>
-                                               <phase>process-sources</phase>
+                                               <phase>generate-sources</phase>
                                                <goals>
                                                        <goal>build</goal>
                                                </goals>
                                <groupId>org.codehaus.mojo</groupId>
                                <version>1.5.0</version>
                                <executions>
-                                       <execution>
-                                               <id>make-path</id>
-                                               <phase>generate-sources</phase>
-                                               <goals>
-                                                       <goal>exec</goal>
-                                               </goals>
-                                               <configuration>
-                                                       <executable>/bin/mkdir</executable>
-                                                       <arguments>
-                                                               <argument>-p</argument>
-                                                               <argument>${basedir}/target/docker-stage/opt/openecomp/sdnc</argument>
-                                                       </arguments>
-                                               </configuration>
-                                       </execution>
+                                       <execution>
+                                               <id>Unzip dgbuilder</id>
+                                               <phase>generate-sources</phase>
+                                               <goals>
+                                                       <goal>exec</goal>
+                                               </goals>
+                                               <configuration>
+                                                       <executable>/usr/bin/unzip</executable>
+                                                       <arguments>
+                                                       <argument>-d</argument>
+                                                       <argument>${basedir}/target/docker-stage/opt/openecomp/sdnc</argument>
+                                                       <argument>../../dgbuilder/target/*.zip</argument>
+                                                       </arguments>
+                                               </configuration>
+                                       </execution>
                                        <execution>
                                                <id>Copy dgbuilder</id>
                                                <phase>generate-sources</phase>
                                                <configuration>
                                                        <executable>/bin/bash</executable>
                                                        <arguments>
-                                                               <argument>${basedir}/target/docker-stage/opt/openecomp/sdnc/dgbuilder/createReleaseDir</argument>
+                                                               <argument>${basedir}/target/docker-stage/opt/openecomp/sdnc/dgbuilder/createReleaseDir.sh</argument>
                                                                <argument>1702</argument>
                                                                <argument>dguser</argument>
                                                                <argument>change_email_id@dgbuilder.com</argument>
 
                                        <execution>
                                                <id>change shell permissions</id>
-                                               <phase>process-sources</phase>
+                                               <phase>process-sources</phase>
                                                <goals>
                                                        <goal>exec</goal>
                                                </goals>
index fd91e77..f3c0e81 100644 (file)
@@ -1,11 +1,13 @@
 # Base ubuntu with added packages needed for open ecomp
-FROM ecomp/ubuntu-sdnc-image:${project.version}
+FROM openecomp/ubuntu-sdnc-image:${project.version}
 MAINTAINER SDN-C Team (sdnc@lists.openecomp.org)
 
 # copy openecomp
 COPY opt /opt
 WORKDIR /opt/openecomp/sdnc/dgbuilder
-RUN npm install
+# Set the proxy if needed
+# RUN npm config set proxy http://your.proxy.com:8080
+#RUN npm install
 
 #ENTRYPOINT /bin/bash /opt/openecomp/sdnc/dgbuilder/start sdnc1.0
 EXPOSE 3100
index 51f4975..6efa823 100644 (file)
@@ -18,7 +18,7 @@
        <description>Creates SDN Controller Docker container</description>
 
        <properties>
-               <image.name>ecomp/sdnc-image</image.name>
+               <image.name>openecomp/sdnc-image</image.name>
                <sdnc.core.version>${project.version}</sdnc.core.version>
                <sdnc.adaptors.version>${project.version}</sdnc.adaptors.version>
                <sdnc.northbound.version>${project.version}</sdnc.northbound.version>
index 2e2140b..14b7710 100644 (file)
@@ -1,15 +1,15 @@
 # Base ubuntu with added packages needed for open ecomp
-FROM ecomp/ubuntu-sdnc-image:${project.version}
+FROM openecomp/ubuntu-sdnc-image:${project.version}
 MAINTAINER SDN-C Team (sdnc@lists.openecomp.org)
-ENV JAVA_HOME /usr/lib/jvm/java-7-openjdk-amd64
+ENV JAVA_HOME /usr/lib/jvm/java-8-openjdk-amd64
 ENV ODL_HOME /opt/opendaylight/current
 ENV SDNC_CONFIG_DIR /opt/openecomp/sdnc/data/properties
 
 # copy the opendaylight tar and expand
-COPY distribution-karaf-0.4.2-Beryllium-SR2.tar.gz /tmp
+COPY distribution-karaf-0.5.1-Boron-SR1.tar.gz /tmp
 RUN mkdir /opt/opendaylight /opt/openecomp
-RUN tar zxvf /tmp/distribution-karaf-0.4.2-Beryllium-SR2.tar.gz --directory /opt/opendaylight
-RUN ln -s /opt/opendaylight/distribution-karaf-0.4.2-Beryllium-SR2 /opt/opendaylight/current
+RUN tar zxvf /tmp/distribution-karaf-0.5.1-Boron-SR1.tar.gz --directory /opt/opendaylight
+RUN ln -s /opt/opendaylight/distribution-karaf-0.5.1-Boron-SR1 /opt/opendaylight/current
 COPY idmlight.db.mv.db /opt/opendaylight/current
 
 # copy openecomp
diff --git a/installation/sdnc/src/main/resources/distribution-karaf-0.4.2-Beryllium-SR2.tar.gz.REMOVED.git-id b/installation/sdnc/src/main/resources/distribution-karaf-0.4.2-Beryllium-SR2.tar.gz.REMOVED.git-id
deleted file mode 100644 (file)
index 3d10091..0000000
+++ /dev/null
@@ -1 +0,0 @@
-e3c6abcc979fe257f05da7f22ec22c6099d10a67
\ No newline at end of file
diff --git a/installation/sdnc/src/main/resources/distribution-karaf-0.5.1-Boron-SR1.tar.gz.REMOVED.git-id b/installation/sdnc/src/main/resources/distribution-karaf-0.5.1-Boron-SR1.tar.gz.REMOVED.git-id
new file mode 100644 (file)
index 0000000..db18b75
--- /dev/null
@@ -0,0 +1 @@
+b6c13a8f784e9c0fa155c8230ecf4dbc13d81895
\ No newline at end of file
index 88a24f4..91b71fc 100755 (executable)
@@ -10,9 +10,9 @@
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
-#
+# 
 #      http://www.apache.org/licenses/LICENSE-2.0
-#
+# 
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
index 93df96b..bb50168 100755 (executable)
@@ -1,5 +1,26 @@
 #!/bin/bash
 
+###
+# ============LICENSE_START=======================================================
+# openECOMP : SDN-C
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights
+#                                              reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+# 
+#      http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+###
+
 
 # Install SDN-C platform components if not already installed and start container
 
index 2533403..932e5bb 100644 (file)
@@ -17,7 +17,7 @@ services:
   
       
   sdnc:
-    image: ${NEXUS_DOCKER_REPO}/ecomp/sdnc-image:latest 
+    image: openecomp/sdnc-image:latest
     depends_on :
       - db
     container_name: sdnc_controller_container
@@ -39,7 +39,7 @@ services:
   
   
   web:
-    image: ${NEXUS_DOCKER_REPO}/ecomp/admportal-sdnc-image:latest
+    image: openecomp/admportal-sdnc-image:latest
     depends_on:
       - db
     container_name: sdnc_portal_container
@@ -65,14 +65,14 @@ services:
   
   
   dgbuilder:
-    image: ${NEXUS_DOCKER_REPO}/ecomp/dgbuilder-sdnc-image:latest
+    image: openecomp/dgbuilder-sdnc-image:latest
     depends_on:
       - db
     container_name:  sdnc_dgbuilder_container
     entrypoint:
        - "/bin/bash"
        - "-c"
-       - "cd /opt/openecomp/sdnc/dgbuilder/ && ./start sdnc1.0 && wait"
+       - "cd /opt/openecomp/sdnc/dgbuilder/ && ./start.sh sdnc1.0 && wait"
     ports:
       - "3000:3100"
     links:
index 321c58e..5397b4b 100644 (file)
@@ -18,7 +18,7 @@
        <description>Creates base ubuntu Docker container</description>
 
        <properties>
-               <image.name>ecomp/ubuntu-sdnc-image</image.name>
+               <image.name>openecomp/ubuntu-sdnc-image</image.name>
        </properties>
 
 
index 4c6de28..5d5b1b8 100644 (file)
@@ -1,9 +1,7 @@
 # Base ubuntu with added packages needed for open ecomp
-FROM ubuntu:14.04.5
+FROM ubuntu:16.04
 MAINTAINER SDN-C Team (sdnc@lists.openecomp.org)
-# Steps needed to run inside ATT
-#COPY sources.list /etc/apt
-#COPY my_key.pub /tmp
-#RUN apt-key add - < /tmp/my_key.pub
+# Set proxy if needed
+# RUN echo 'Acquire::http::Proxy "http://your.proxy.com:8080";' > /etc/apt/apt.conf
 # Add tools needed for OpenDaylight
-RUN apt-get update && apt-get install -y git openjdk-7-jdk maven2 mysql-client nodejs nodejs-legacy python-pip graphviz npm
+RUN apt-get update && apt-get install -y git openjdk-8-jdk maven mysql-client nodejs nodejs-legacy python-pip graphviz npm unzip
diff --git a/pom.xml b/pom.xml
index 0915fa9..d4cab87 100755 (executable)
--- a/pom.xml
+++ b/pom.xml
@@ -5,7 +5,7 @@
        <parent>
                <groupId>org.openecomp.sdnc.core</groupId>
                <artifactId>root</artifactId>
-               <version>1.1.0-SNAPSHOT</version>
+               <version>1.1.1-SNAPSHOT</version>
        </parent>
 
        <modelVersion>4.0.0</modelVersion>
        </build>
        <modules>
                <module>admportal</module>
+               <module>dgbuilder</module>
                <module>platform-logic</module>
        </modules>